Skip to main content

List your activity sessions with a given status

GET 

/api/v1/ActivitySession/MySummaryByStatus/:status

Returns a page of the signed-in user's sessions that have the given status, such as pending, active or waiting for approval. It includes sessions the user created and sessions scheduled for the user.

Permission required: Any signed-in user. The result always contains only the caller's own sessions.

Values for status: -1 = ApprovalRequired, 0 = Pending, 1 = Active, 2 = Cancelling, 3 = Complete, 4 = Failed, 5 = Cancelled, 6 = ApprovalDenied, 7 = ApprovalFailed.

Request​

Responses​

Returns the matching session summaries in data and the total number of matches in recordsTotal.